Name:           rss2email
Version:        3.11
Release:        %mkrel 2
Summary:        Forward RSS feeds to your email address, community maintained
Group:          Networking/News
License:        GPLv3
URL:            https://github.com/rss2email/rss2email
Source0:        %{pypi_source}
# Migration tool (rss2email 2.x to rss2email 3.x) from https://github.com/emillon/rss2email-debian
Source1:        r2e-migrate
Source2:        r2e-migrate.1
Source3:        README.migrate
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(feedparser)
BuildRequires:  python3dist(html2text)
Recommends:     python3dist(beautifulsoup4)
#Recommends:     esmtp
# r2e-migrate
Requires:       python3dist(pyxdg)

%description
rss2email lets you subscribe to a list of XML newsfeeds (RSS or Atom). It can
parse them regularly with the help of cron and send new items to you by email.

A HTML-mail will be sent in the default configuration to the local smtp server.
See the man page r2e for details on how to set rss2email up.

%prep
%autosetup -p1

# drop bundled egg-info
rm -rf *.egg-info/

install -Dpm644 %{SOURCE3} README.urpmi.update

%build
%py3_build

%install
%py3_install

# man pages
install -D -m 644 -p r2e.1 %{buildroot}%{_mandir}/man1/r2e.1

# migrate scripts
install -D -m 755 -p %{SOURCE1} %{buildroot}%{_bindir}/r2e-migrate
install -D -m 644 -p %{SOURCE2} %{buildroot}%{_mandir}/man1/r2e-migrate.1

%files
%license COPYING
%doc AUTHORS CHANGELOG README*
%{_bindir}/r2e
%{_bindir}/r2e-migrate
%{_mandir}/man1/r2e.1*
%{_mandir}/man1/r2e-migrate.1*
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info/


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 3.11-2.mga8
+ Revision: 1541137
- Mageia 8 Mass Rebuild

* Sat Dec 21 2019 wally <wally> 3.11-1.mga8
+ Revision: 1469312
- new version 3.11 (sync a bit with Fedora)
- add README.urpmi.update to migrate from 2.x

* Wed Sep 19 2018 umeabot <umeabot> 2.71-8.mga7
+ Revision: 1274990
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 2.71-7.mga6
+ Revision: 935750
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.71-6.mga5
+ Revision: 742345
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.71-5.mga5
+ Revision: 688723
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.71-4.mga4
+ Revision: 518115
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.71-3.mga3
+ Revision: 380521
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 29 2011 stormi <stormi> 2.71-2.mga2
+ Revision: 130467
- increase release so that it's higher than in mageia 1
+ remmy <remmy>
- Clean up of spec file
  Clean up of description
- Remove unneeded %%clean section from spec
- imported package rss2email


* Tue Sep 15 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.65-2mdv2010.0
+ Revision: 442763
- rebuild

* Fri Mar 06 2009 Michael Scherer <misc@mandriva.org> 2.65-1mdv2009.1
+ Revision: 349898
- update to new version 2.65

* Tue Jan 06 2009 Jérôme Soyer <saispo@mandriva.org> 2.64-1mdv2009.1
+ Revision: 325359
- update to new version 2.64

* Thu Sep 04 2008 Jérôme Soyer <saispo@mandriva.org> 2.63-1mdv2009.0
+ Revision: 280664
- Fix RPM Group
- New release

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.62-4mdv2009.0
+ Revision: 260343
- rebuild

* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.62-3mdv2009.0
+ Revision: 251553
- rebuild

* Sat Mar 01 2008 Michael Scherer <misc@mandriva.org> 2.62-1mdv2008.1
+ Revision: 177251
- update to new version 2.62

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Jérôme Soyer <saispo@mandriva.org> 2.61-1mdv2008.1
+ Revision: 132041
- New release

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 23 2007 Jérôme Soyer <saispo@mandriva.org> 2.60-1mdv2008.1
+ Revision: 101444
- New release 2.60


* Wed Aug 09 2006 Michael Scherer <misc@mandriva.org> 2.57-2mdv2007.0
- Rebuild to keep src in sync

* Mon Apr 10 2006 Michael Scherer <misc@mandriva.org> 2.57-1mdk
- New release 2.57

* Thu Dec 22 2005 Michael Scherer <misc@mandriva.org> 2.55-1mdk
- New release 2.55

* Wed Dec 21 2005 Michael Scherer <misc@mandriva.org> 2.54-1mdk
- First mandriva release
- patch to have FeedUrl in the header of the mail, to ease filtering

